NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Weld::WeldBeadBuilder Class Reference

Used to create or edit a NXOpen::Weld::WeldBead feature. More...

Inheritance diagram for NXOpen::Weld::WeldBeadBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  BeadLocationMethod { BeadLocationMethodSecondaryParts, BeadLocationMethodPrimaryParts, BeadLocationMethodInSpace }
 Settings to indicate the desired location of the bead. More...
 
enum  FaceInferMethodType { FaceInferMethodTypeTangentFaces, FaceInferMethodTypeNone }
 Settings to indicate the method for obtaining faces used when creating the guide curve path. More...
 
enum  OutputTypes { OutputTypesFixed, OutputTypesAssociative }
 Settings to indicate the update behaviour of the bead feature. More...
 
enum  Types {
  TypesEllipse, TypesTube, TypesSketch, TypesTriangle,
  TypesRectangle
}
 Settings to indicate the sweep shape of the bead. More...
 

Public Member Functions

NXOpen::Weld::WeldBeadBuilder::BeadLocationMethod BeadLocation ()
 Returns the desired bead location. More...
 
NXOpen::Weld::CharacteristicsBuilderCharacteristics ()
 Returns the characteristics to assign to the object created. More...
 
NXOpen::SplineCreatePreviewPath ()
 Creates a preview curve that will be used to create the bead solid. More...
 
double DistanceTolerance ()
 Returns the distance tolerance for constructing the bead. More...
 
bool ExtendToBoundary ()
 Returns the option to control if the bead guide curve should extend to the nearest face boundary. More...
 
NXOpen::Weld::WeldBeadBuilder::FaceInferMethodType FaceInferMethod ()
 Returns the method to use when inferring faces to create the bead guide curve path. More...
 
NXOpen::SplineGetPreviewPath ()
 The preview curve that will be used to create the bead solid. More...
 
NXOpen::Weld::WeldBeadPathBuilderNewPath ()
 Creates a NXOpen::Weld::WeldBeadPathBuilder object. More...
 
NXOpen::Weld::WeldBeadSizeBuilderNewSize ()
 Creates a NXOpen::Weld::WeldBeadSizeBuilder object. More...
 
NXOpen::Weld::WeldBeadBuilder::OutputTypes OutputType ()
 Returns the output type which controls the update behaviour of the bead feature. More...
 
NXOpen::Weld::WeldBeadPathBuilderListPathList ()
 Returns the list containing the defined path segments. More...
 
NXOpen::ScCollectorSelectBottomParts ()
 Returns the collector containing the secondary bodies the bead is attached to. More...
 
NXOpen::ScCollectorSelectTopParts ()
 Returns the collector containing the primary bodies the bead is attached to. More...
 
void SetBeadLocation (NXOpen::Weld::WeldBeadBuilder::BeadLocationMethod beadLocation)
 Sets the desired bead location. More...
 
void SetDistanceTolerance (double distanceTolerance)
 Sets the distance tolerance for constructing the bead. More...
 
void SetExtendToBoundary (bool extendToBoundary)
 Sets the option to control if the bead guide curve should extend to the nearest face boundary. More...
 
void SetFaceInferMethod (NXOpen::Weld::WeldBeadBuilder::FaceInferMethodType faceInferMethod)
 Sets the method to use when inferring faces to create the bead guide curve path. More...
 
void SetOutputType (NXOpen::Weld::WeldBeadBuilder::OutputTypes type)
 Sets the output type which controls the update behaviour of the bead feature. More...
 
void SetTangentAngle (double tangentAngle)
 Sets the tangent angle used to find faces tangent to the seed face specified. More...
 
void SetType (NXOpen::Weld::WeldBeadBuilder::Types type)
 Sets the shape of the bead to create. More...
 
NXOpen::Weld::WeldBeadSizeBuilderListSizeList ()
 Returns the list containing the sizes used to create the bead. More...
 
double TangentAngle ()
 Returns the tangent angle used to find faces tangent to the seed face specified. More...
 
NXOpen::Weld::WeldBeadBuilder::Types Type ()
 Returns the shape of the bead to create. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Used to create or edit a NXOpen::Weld::WeldBead feature.


To create a new instance of this class, use NXOpen::Weld::WeldManager::CreateWeldBeadBuilder
Default values.

Property Value

BeadLocation

SecondaryParts

FaceInferMethod

None

TangentAngle

45.0


Created in NX7.5.0.

Member Enumeration Documentation

Settings to indicate the desired location of the bead.

Enumerator
BeadLocationMethodSecondaryParts 

on the secondary parts

BeadLocationMethodPrimaryParts 

on the primary parts

BeadLocationMethodInSpace 

in space.

No on any parts

Settings to indicate the method for obtaining faces used when creating the guide curve path.

Enumerator
FaceInferMethodTypeTangentFaces 

use faces tangent to selected faces to create the bead path curve

FaceInferMethodTypeNone 

only use selected faces to create the bead path curve

Settings to indicate the update behaviour of the bead feature.

Enumerator
OutputTypesFixed 

Bead does not recreate itself on update.

OutputTypesAssociative 

Bead follows normal update behaviour.

Settings to indicate the sweep shape of the bead.

Enumerator
TypesEllipse 

ellipse shape

TypesTube 

tube shape

TypesSketch 

sketch shape

TypesTriangle 

triangle shape

TypesRectangle 

rectangle shape

Member Function Documentation

NXOpen::Weld::WeldBeadBuilder::BeadLocationMethod NXOpen::Weld::WeldBeadBuilder::BeadLocation ( )

Returns the desired bead location.


Created in NX7.5.0.

License requirements : None

NXOpen::Weld::CharacteristicsBuilder* NXOpen::Weld::WeldBeadBuilder::Characteristics ( )

Returns the characteristics to assign to the object created.


Created in NX7.5.0.

License requirements : None

NXOpen::Spline* NXOpen::Weld::WeldBeadBuilder::CreatePreviewPath ( )

Creates a preview curve that will be used to create the bead solid.

Returns
The preview curve.
Created in NX11.0.0.

License requirements : None
double NXOpen::Weld::WeldBeadBuilder::DistanceTolerance ( )

Returns the distance tolerance for constructing the bead.


Created in NX7.5.0.

License requirements : None

bool NXOpen::Weld::WeldBeadBuilder::ExtendToBoundary ( )

Returns the option to control if the bead guide curve should extend to the nearest face boundary.


Created in NX11.0.0.

License requirements : None

NXOpen::Weld::WeldBeadBuilder::FaceInferMethodType NXOpen::Weld::WeldBeadBuilder::FaceInferMethod ( )

Returns the method to use when inferring faces to create the bead guide curve path.


Created in NX11.0.1.

License requirements : None

NXOpen::Spline* NXOpen::Weld::WeldBeadBuilder::GetPreviewPath ( )

The preview curve that will be used to create the bead solid.

Returns
The preview curve.
Created in NX10.0.3.

License requirements : None
NXOpen::Weld::WeldBeadPathBuilder* NXOpen::Weld::WeldBeadBuilder::NewPath ( )

Creates a NXOpen::Weld::WeldBeadPathBuilder object.

Returns

Created in NX7.5.0.

License requirements : ugweld ("UG WELD")
NXOpen::Weld::WeldBeadSizeBuilder* NXOpen::Weld::WeldBeadBuilder::NewSize ( )

Creates a NXOpen::Weld::WeldBeadSizeBuilder object.

Returns

Created in NX7.5.0.

License requirements : ugweld ("UG WELD")
NXOpen::Weld::WeldBeadBuilder::OutputTypes NXOpen::Weld::WeldBeadBuilder::OutputType ( )

Returns the output type which controls the update behaviour of the bead feature.


Created in NX7.5.0.

License requirements : None

NXOpen::Weld::WeldBeadPathBuilderList* NXOpen::Weld::WeldBeadBuilder::PathList ( )

Returns the list containing the defined path segments.


Created in NX7.5.0.

License requirements : None

NXOpen::ScCollector* NXOpen::Weld::WeldBeadBuilder::SelectBottomParts ( )

Returns the collector containing the secondary bodies the bead is attached to.


Created in NX7.5.0.

License requirements : None

NXOpen::ScCollector* NXOpen::Weld::WeldBeadBuilder::SelectTopParts ( )

Returns the collector containing the primary bodies the bead is attached to.


Created in NX7.5.0.

License requirements : None

void NXOpen::Weld::WeldBeadBuilder::SetBeadLocation ( NXOpen::Weld::WeldBeadBuilder::BeadLocationMethod  beadLocation)

Sets the desired bead location.


Created in NX7.5.0.

License requirements : ugweld ("UG WELD")

Parameters
beadLocationbeadlocation
void NXOpen::Weld::WeldBeadBuilder::SetDistanceTolerance ( double  distanceTolerance)

Sets the distance tolerance for constructing the bead.


Created in NX7.5.0.

License requirements : ugweld ("UG WELD")

Parameters
distanceTolerancedistancetolerance
void NXOpen::Weld::WeldBeadBuilder::SetExtendToBoundary ( bool  extendToBoundary)

Sets the option to control if the bead guide curve should extend to the nearest face boundary.


Created in NX11.0.0.

License requirements : ugweld ("UG WELD")

Parameters
extendToBoundaryextendtoboundary
void NXOpen::Weld::WeldBeadBuilder::SetFaceInferMethod ( NXOpen::Weld::WeldBeadBuilder::FaceInferMethodType  faceInferMethod)

Sets the method to use when inferring faces to create the bead guide curve path.


Created in NX11.0.1.

License requirements : ugweld ("UG WELD")

Parameters
faceInferMethodfaceinfermethod
void NXOpen::Weld::WeldBeadBuilder::SetOutputType ( NXOpen::Weld::WeldBeadBuilder::OutputTypes  type)

Sets the output type which controls the update behaviour of the bead feature.


Created in NX7.5.0.

License requirements : ugweld ("UG WELD")

Parameters
typetype
void NXOpen::Weld::WeldBeadBuilder::SetTangentAngle ( double  tangentAngle)

Sets the tangent angle used to find faces tangent to the seed face specified.


Created in NX10.0.0.

License requirements : ugweld ("UG WELD")

Parameters
tangentAngletangentangle
void NXOpen::Weld::WeldBeadBuilder::SetType ( NXOpen::Weld::WeldBeadBuilder::Types  type)

Sets the shape of the bead to create.


Created in NX7.5.0.

License requirements : ugweld ("UG WELD")

Parameters
typetype
NXOpen::Weld::WeldBeadSizeBuilderList* NXOpen::Weld::WeldBeadBuilder::SizeList ( )

Returns the list containing the sizes used to create the bead.


Created in NX7.5.0.

License requirements : None

double NXOpen::Weld::WeldBeadBuilder::TangentAngle ( )

Returns the tangent angle used to find faces tangent to the seed face specified.


Created in NX10.0.0.

License requirements : None

NXOpen::Weld::WeldBeadBuilder::Types NXOpen::Weld::WeldBeadBuilder::Type ( )

Returns the shape of the bead to create.


Created in NX7.5.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.